WCTYPE(3) | Library Functions Manual | WCTYPE(3)

# NAME

`wctype` — get character class identifier by name

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <wctype.h>`

wctype_t
`wctype`(const char *charclass);

# DESCRIPTION

The `wctype`() function returns a character class identifier corresponding to the locale-specific character class name charclass. This identifier can be used in subsequent calls of `iswctype`(). The following names are defined in all locales:

    alnum alpha blank cntrl digit graph
    lower print punct space upper xdigit

The behaviour of `wctype`() is affected by the `LC_CTYPE` category of the current locale.

# RETURN VALUES

`wctype`() returns:

0
  If charclass does not correspond to a valid character class name.
non-zero
  A character class identifier corresponding to charclass.

Note: wctype_t is a scalar type, e.g., a pointer.

# ERRORS

No errors are defined.

# SEE ALSO

iswctype(3), setlocale(3), towctrans(3), wctrans(3)

# STANDARDS

The `wctype`() function conforms to ISO/IEC 9899/AMD1:1995 (“ISO C90, Amendment 1”).

March 4, 2003 | NetBSD 11.0